package dev.shadowsoffire.apotheosis.adventure.affix.augmenting;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import dev.shadowsoffire.apotheosis.adventure.affix.AffixInstance;
import dev.shadowsoffire.apotheosis.adventure.affix.augmenting.AugmentingScreen;
import dev.shadowsoffire.apotheosis.adventure.client.DropDownList;
import java.util.ArrayList;
import java.util.List;
import net.minecraft.ChatFormatting;
import net.minecraft.client.gui.GuiGraphics;
import net.minecraft.network.chat.Component;
import net.minecraft.network.chat.Style;

public class AffixDropList extends DropDownList<AffixInstance> {
  public AffixDropList(int x, int y, int width, int height, Component narrationMsg, List<AffixInstance> entries, int maxDisplayedEntries) {
    super(x, y, width, height, narrationMsg, entries, maxDisplayedEntries);
  }
  
  protected void m_87963_(GuiGraphics gfx, int mouseX, int mouseY, float partialTick) {
    gfx.m_280168_().m_85836_();
    gfx.m_280168_().m_252880_(0.0F, 0.0F, 100.0F);
    if (this.entries.isEmpty())
      gfx.m_280163_(AugmentingScreen.TEXTURE, m_252754_(), m_252907_(), 0.0F, 267.0F, this.f_93618_, this.baseHeight, 256, 307); 
    super.m_87963_(gfx, mouseX, mouseY, partialTick);
    int hovered = getHoveredSlot(mouseX, mouseY);
    if (this.isOpen && hovered != -1) {
      AffixInstance inst = this.entries.get(hovered);
      List<Component> list = new ArrayList<>();
      list.add(inst.getName(true).m_6881_().m_130948_(Style.f_131099_.m_178520_(16777088).m_131162_(Boolean.valueOf(true))));
      list.add(Component.m_237110_("%s", new Object[] { inst.getAugmentingText() }).m_130940_(ChatFormatting.YELLOW));
      AugmentingScreen.this.drawOnLeft(gfx, list, AugmentingScreen.this.getGuiTop() + 33, 150);
    } 
    gfx.m_280163_(AugmentingScreen.TEXTURE, m_252754_() + this.f_93618_ - 15, m_252907_(), (123 + (this.isOpen ? 15 : 0)), 239.0F, 15, 14, 256, 307);
    gfx.m_280168_().m_85849_();
  }
  
  protected void renderEntry(GuiGraphics gfx, int x, int y, int mouseX, int mouseY, AffixInstance entry) {
    int hovered = getHoveredSlot(mouseX, mouseY);
    int idx = this.entries.indexOf(entry);
    gfx.m_280163_(AugmentingScreen.TEXTURE, x, y, 0.0F, (239 + ((hovered == idx) ? this.baseHeight : 0)), this.f_93618_, this.baseHeight, 256, 307);
    gfx.m_280430_(AugmentingScreen.this.f_96547_, entry.getName(true), x + 2, y + 3, 16777088);
  }
}
